package com.ruoyi.predict.domain;

import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * Collectorwireproject对象 collectorwireproject
 *
 * @author hlf
 * @date 2021-08-02
 */
public class Collectorwireproject extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private Long wpNo;

    private Long projectNo;

    private Long collectorwireNo;

    private String wireName;

    private String wireIssue;

    private Double wireCapacity;

    private Long analogNo;

    private Long bcrNo;

    private Date statSpeedTime;

    private Long unitsNumber;

    private String windplantName;

    private String pvStationName;

    private String projectName;

    public void setWpNo(Long wpNo) {
        this.wpNo = wpNo;
    }

    public Long getWpNo() {
        return wpNo;
    }

    public void setProjectNo(Long projectNo) {
        this.projectNo = projectNo;
    }

    public Long getProjectNo() {
        return projectNo;
    }

    public void setCollectorwireNo(Long collectorwireNo) {
        this.collectorwireNo = collectorwireNo;
    }

    public Long getCollectorwireNo() {
        return collectorwireNo;
    }

    public void setWireName(String wireName) {
        this.wireName = wireName;
    }

    public String getWireName() {
        return wireName;
    }

    public String getWireIssue() {
        return wireIssue;
    }

    public void setWireIssue(String wireIssue) {
        this.wireIssue = wireIssue;
    }

    public void setWireCapacity(Double wireCapacity) {
        this.wireCapacity = wireCapacity;
    }

    public Double getWireCapacity() {
        return wireCapacity;
    }

    public void setAnalogNo(Long analogNo) {
        this.analogNo = analogNo;
    }

    public Long getAnalogNo() {
        return analogNo;
    }

    public void setBcrNo(Long bcrNo) {
        this.bcrNo = bcrNo;
    }

    public Long getBcrNo() {
        return bcrNo;
    }

    public void setStatSpeedTime(Date statSpeedTime) {
        this.statSpeedTime = statSpeedTime;
    }

    public Date getStatSpeedTime() {
        return statSpeedTime;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public Long getUnitsNumber() {
        return unitsNumber;
    }

    public void setUnitsNumber(Long unitsNumber) {
        this.unitsNumber = unitsNumber;
    }

    public String getWindplantName() {
        return windplantName;
    }

    public void setWindplantName(String windplantName) {
        this.windplantName = windplantName;
    }

    public String getPvStationName() {
        return pvStationName;
    }

    public void setPvStationName(String pvStationName) {
        this.pvStationName = pvStationName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("wpNo", getWpNo())
                .append("projectNo", getProjectNo())
                .append("collectorwireNo", getCollectorwireNo())
                .append("wireName", getWireName())
                .append("wireCapacity", getWireCapacity())
                .append("analogNo", getAnalogNo())
                .append("bcrNo", getBcrNo())
                .toString();
    }
}
